## update-manager 0.87.30netbook0belmont6

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont6) belmont; urgency=low

  * debian/patches/18_reapply_pos_after_sync.patch:
    - Removed.  These changes have been incorporated in the following
      new patch.
  * debian/patches/24_update_translations.patch:
    - Add new patch that incorporates the previous po file updates
      from 18_reapply_pos_after_sync.patch and adds new translations
      backported from Intrepid for new strings introduced by
      22_free_disk_space_check.patch.

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 25 Sep 2009 17:27:16 -0400

update-manager (1:0.87.30netbook0belmont5) belmont; urgency=low

  * debian/rules:
   - Remove creation of dist-upgrade.tar.gz as it breaks upload of
     this package to reprepro.

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 18 Sep 2009 15:50:56 -0400

update-manager (1:0.87.30netbook0belmont4) belmont; urgency=low

  * debian/patches/20_synaptic_set_clean_cache_option.patch:
    - Add patch from Michael Vogt to set the CleanCache option when
      launching Synaptic during an update.  With this option the apt
      cache is cleared after each update, thereby conserving drive space.
  * debian/patches/22_free_disk_space_check.patch:
    - Add patch pulled from Michael Vogt's Hardy backport in bzr of his
      free disk space check from Intrepid (this and the above patch
      to fix LP: #380784).

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 18 Sep 2009 15:14:37 -0400

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release, cdbs
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.7.2
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main

Package: update-manager-core
Architecture: any
Section: admin
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface, canonical-oem-keyring
Replaces: update-manager (<< 0.56)
Conflicts: update-manager (<< 0.56)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader


Package: update-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${Source-Version}), python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

=== debian/rules ===
#!/usr/bin/make -f
DEB_AUTO_CLEANUP_RCS := yes
DEB_PYTHON_SYSTEM    := pycentral
export DH_PYCENTRAL=nomove

# Include CDBS Stuff
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

PKG=update-manager
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

ARCH=all
DIST=$(shell lsb_release -c -s)
#TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz

PYVERS=$(shell pyversions -vr)

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
build-python%:
	dh_testdir
	python$* setup.py build
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	python setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	set -e; \
	for v in $(PYVERS); do \
	  python$$v setup.py install --prefix=$(CURDIR)/debian/tmp/usr; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	# now the dist-upgrader special tarball
#	(cd DistUpgrade/ && \
#	   ./build-tarball.sh && \
#	   mkdir $(DEBVER)  && \
#	   cp $(DIST).tar.gz ReleaseAnnouncement $(DEBVER) && \
#	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
#	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_scrollkeeper
	dh_installmime
	dh_desktop
	dh_icons
	dh_gconf
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	DH_PYCENTRAL=nomove dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

arch-build: 
	# update the demotions
	#(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
	#(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
	#(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
	# run the test-suit
	#echo "Running integrated tests"
	#(cd tests && for test in *.py; do python $$test; done)
	# update version
	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
	# build it
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

.PHONY: build clean binary-indep binary-arch binary install arch-build

## update-manager 0.87.30netbook0dennis1

=== debian/changelog ===
update-manager (1:0.87.30netbook0dennis1) hardy; urgency=low

  * debian/rules:
    - Add support for simplepatchsys
  * debian/patches/10_netbook_ui.patch:
    - Add patch to simplify the UI for use with netbooks
    - Change the title that is displayed when updates have been found

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 30 Sep 2008 20:28:00 -0400

## update-manager 0.87.30netbook0unr1

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr1) hardy; urgency=low

  * added cdbs to debian/rules
  * added patch 01_custom_repo.patch to fix LP: #273682 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 25 Sep 2008 15:30:20 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ARCH=all
 DIST=$(shell lsb_release -c -s)
-#TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
+TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
 
 PYVERS=$(shell pyversions -vr)
 
@@ -51,12 +51,12 @@
 	dh_testdir
 	dh_testroot
 	# now the dist-upgrader special tarball
-#	(cd DistUpgrade/ && \
-#	   ./build-tarball.sh && \
-#	   mkdir $(DEBVER)  && \
-#	   cp $(DIST).tar.gz ReleaseAnnouncement $(DEBVER) && \
-#	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
-#	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
+	(cd DistUpgrade/ && \
+	   ./build-tarball.sh && \
+	   mkdir $(DEBVER)  && \
+	   cp $(DIST).tar.gz ReleaseAnnouncement $(DEBVER) && \
+	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
+	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 # Build architecture-dependent files here.
 binary-arch: build install

## update-manager 0.87.30netbook0unr1natick2

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr1natick2) natick; urgency=low

  * 01_custom_repo.patch: Update URI to
    intel-powered-classmate-pc.archive.canonical.com
  * Add cdbs to Build-Depends

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 24 Feb 2009 20:25:57 +0000

update-manager (1:0.87.30netbook0unr1natick1) hardy; urgency=low

  * 01_custom_repo.patch: Modify repos URI's to point to intel-classmate repos

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 09 Jan 2009 16:50:52 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface, canonical-oem-keyring
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades

## update-manager 0.87.30netbook0unr1payson1

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr1payson1) hardy; urgency=low

  * modified patch 01_custom_repo.patch for toshiba-arizona repo 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 06 Jan 2009 15:22:35 -0500

## update-manager 0.87.30netbook0unr2

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr2) hardy; urgency=low
  * remove osd cleanup code from postinst, done by osd package now
  * delete update-success-stamp file on pre-mp upgrade 
  * install update-manager as autostart file 
  * added apt-transport-https and canonical-oem-keyring 
  * added support for updating arionza pre-mp image and updating unr and 
    arionza sources.list.d to point to new production repos
    - added debian/update-manager-core.postinst to do above work
    - added file update-arizona-premp.py
    - modified debian/update-manager-core.install to install 
      update-arizona-premp.py
    - modified debian/control increased python-apt depends to 
      version python-apt (>= 0.7.4ubuntu7.4)

 -- Bill Filler <bill.filler@canonical.com>  Sat, 07 Mar 2009 21:37:59 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release, cdbs
+Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release, cdbs, apt-transport-https
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu7.4),  lsb-release,  python-gnupginterface, apt-transport-https, canonical-oem-keyring
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades

## update-manager 0.87.30netbook0unr2payson1

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr2payson1) hardy; urgency=low

  * point at payson repo for updates 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 12 Jun 2009 16:32:18 -0400

## update-manager 0.87.30netbook0unr7

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr7) unr; urgency=low

  * remove fix_osd cleanup from postinst as that is now done in osd
    package.
  * rm /etc/xdg/autstart/zz-update-manager.desktop that might exist from
    pre-mp upgrade, done in postinst
  * version bump to supersede version in PPA 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 26 Mar 2009 18:37:35 -0400

update-manager (1:0.87.30netbook0unr4) unr; urgency=low

  * debian/control: added canonical-oem-keyring to Depends 
  * debian/update-manager-core.postinst: modified write_arionza
    to accept param and write different sources.list.d entries
    for preMP and MP

 -- Bill Filler <bill.filler@canonical.com>  Wed, 11 Mar 2009 14:51:51 -0400

update-manager (1:0.87.30netbook0unr3) unr; urgency=low

  * debian/rules - removed creation of dist-upgrade.tar.gz as not 
    currently needed and breaks upload of this package to reprepro 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 10 Mar 2009 18:00:15 -0400

update-manager (1:0.87.30netbook0unr2) unr; urgency=low

  * added support for updating arionza pre-mp image and updating unr and 
    arionza sources.list.d to point to new production repos
    - added debian/update-manager-core.postinst to do above work
    - added file update-arizona-premp.py
    - modified debian/update-manager-core.install to install 
      update-arizona-premp.py
    - modified debian/control increased python-apt depends to 
      version python-apt (>= 0.7.4ubuntu7.4)

 -- Bill Filler <bill.filler@canonical.com>  Sat, 07 Mar 2009 21:37:59 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release, cdbs, apt-transport-https
+Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release, cdbs
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu7.4),  lsb-release,  python-gnupginterface, apt-transport-https, canonical-oem-keyring
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu7.4),  lsb-release,  python-gnupginterface, canonical-oem-keyring
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades

=== debian/rules ===
--- 
+++ 
@@ -50,13 +50,6 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	# now the dist-upgrader special tarball
-	(cd DistUpgrade/ && \
-	   ./build-tarball.sh && \
-	   mkdir $(DEBVER)  && \
-	   cp $(DIST).tar.gz ReleaseAnnouncement $(DEBVER) && \
-	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
-	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 # Build architecture-dependent files here.
 binary-arch: build install

## update-manager 0.87.30netbook0unr7natick1

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr7natick1) natick; urgency=low

  * Updated 01_custom_repo.patch to point to intel specific URI.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Mon, 03 Aug 2009 18:56:23 -0300

## update-manager 0.87.30netbook0unr7payson1

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr7payson1) payson; urgency=low

  * rebase on unr7 version 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 26 Mar 2009 23:17:45 -0400

update-manager (1:0.87.30netbook0unr4payson1) payson; urgency=low

  * rebase on unr4 version 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 11 Mar 2009 21:09:51 -0400

update-manager (1:0.87.30netbook0unr3payson1) payson; urgency=low

  * rebase on unr3 version 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 10 Mar 2009 18:06:31 -0400

update-manager (1:0.87.30netbook0unr2payson1) payson; urgency=low

   * rebase on unr2 version
   * added depends for toshiba-payson-unr for pre-mp upgrades

 -- Bill Filler <bill.filler@canonical.com>  Sat, 07 Mar 2009 22:31:08 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu7.4),  lsb-release,  python-gnupginterface, canonical-oem-keyring
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu7.4),  lsb-release,  python-gnupginterface, toshiba-payson-unr, canonical-oem-keyring
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades

## update-manager 0.87.30netbook0unr7payson1buffalo1

=== debian/changelog ===
update-manager (1:0.87.30netbook0unr7payson1buffalo1) buffalo; urgency=low

  * rebase on unr7, no functional changes just version bump 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 26 Mar 2009 23:24:11 -0400

update-manager (1:0.87.30netbook0unr4payson1buffalo1) buffalo; urgency=low

  * remove depends on toshiba-payson-unr and postinst cleanup code that is 
    not necessary on buffalo 
  * modifiy 01_custom_repo.patch to point at buffalo repo
  * remove update-arionza-premp.py and update-manager-core.postinst and 
    .install to install it

 -- Bill Filler <bill.filler@canonical.com>  Mon, 16 Mar 2009 17:38:45 -0400

## update-manager 0.87.31trisquel1

=== debian/changelog ===
update-manager (1:0.87.31trisquel1) trisquel; urgency=low

  * Added in values for trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Fri, 07 Aug 2009 09:24:17 +0000

update-manager (1:0.87.31) hardy-proposed; urgency=low

  * no changes upload with a current version from python-apt
    to fix sparc upgrades from dapper to hardy (LP: #239458)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Jan 2009 11:04:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 XS-Python-Version: all
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release, cdbs
+Maintainer: Rubén Rodríguez <ruben@trisquel.info>
+Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.7.4ubuntu7.5), lsb-release
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu7.4),  lsb-release,  python-gnupginterface, toshiba-payson-unr, canonical-oem-keyring
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades

## update-manager 0.87.33

=== UpdateManager/Common/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Common/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/update-manager
pkglibdir = $(libdir)/update-manager
pkgincludedir = $(includedir)/update-manager
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = Common
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(modulesdir)"
modulesDATA_INSTALL = $(INSTALL_DATA)
DATA = $(modules_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/3/update-manager-0.37.1+svn20050404.15/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/3/update-manager-0.37.1+svn20050404.15/missing --run tar
AUTOCONF = ${SHELL} /tmp/3/update-manager-0.37.1+svn20050404.15/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/3/update-manager-0.37.1+svn20050404.15/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/3/update-manager-0.37.1+svn20050404.15/missing --run automake-1.9
AWK = gawk
CATALOGS =  da.gmo de.gmo el.gmo en_CA.gmo es.gmo fi.gmo fr.gmo hu.gmo ja.gmo pl.gmo pt_BR.gmo ro.gmo rw.gmo sv.gmo zh_CN.gmo xh.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GETTEXT_PACKAGE = update-manager
GMOFILES =  da.gmo de.gmo el.gmo en_CA.gmo es.gmo fi.gmo fr.gmo hu.gmo ja.gmo pl.gmo pt_BR.gmo ro.gmo rw.gmo sv.gmo zh_CN.gmo xh.gmo
GMSGFMT = /usr/bin/msgfmt
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_ICONV = /usr/bin/iconv
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_MSGFMT = /usr/bin/msgfmt
INTLTOOL_MSGMERGE = /usr/bin/msgmerge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XGETTEXT = /usr/bin/xgettext
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /tmp/3/update-manager-0.37.1+svn20050404.15/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJEXT = o
PACKAGE = update-manager
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POFILES =  da.po de.po el.po en_CA.po es.po fi.po fr.po hu.po ja.po pl.po pt_BR.po ro.po rw.po sv.po zh_CN.po xh.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
SCROLLKEEPER_BUILD_REQUIRED = 0.3.5
SCROLLKEEPER_CONFIG = /usr/bin/scrollkeeper-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
USE_NLS = yes
VERSION = 0.37.2
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/3/update-manager-0.37.1+svn20050404.15/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /tmp/lala
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
modules_DATA = SimpleGladeApp.py DistInfo.py
modulesdir = $(datadir)/update-manager/python
EXTRA_DIST = $(modules_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Common/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Common/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-modulesDATA: $(modules_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(modulesdir)" || $(mkdir_p) "$(DESTDIR)$(modulesdir)"
	@list='$(modules_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(modulesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(modulesdir)/$$f'"; \
	  $(modulesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(modulesdir)/$$f"; \
	done

uninstall-modulesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(modules_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(modulesdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(modulesdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(modulesdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

=== debian/changelog ===
update-manager (1:0.87.33) hardy-security; urgency=low

  * REGRESSION FIX:
    - DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
      return value handling. (LP: #933225)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Feb 2012 08:30:21 -0500

update-manager (1:0.87.32) hardy-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py, UpdateManager/MetaReleaseGObject.py:
    - fix "no longer supported" message (LP: #364583)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Jan 2012 10:09:26 +0100
  

update-manager (1:0.87.31.1) hardy-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2011 09:58:49 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 XS-Python-Version: all
-Maintainer: Rubén Rodríguez <ruben@trisquel.info>
+Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.7.4ubuntu7.5), lsb-release
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2

## update-manager 0.93.32

=== debian/changelog ===
update-manager (1:0.93.32) intrepid; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - when transitioning from kubuntu-kde4-desktop to kubuntu-desktop
      consider key dependencies as well even if kubuntu-kde4-desktop
      is no longer installed (LP: #277285)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Oct 2008 17:54:50 +0200

update-manager (1:0.93.31) intrepid; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - remove goubuntu-desktop from metapackages, we do no
      longer build it (LP: #283712)
  * DistUpgrade/DistUpgradeCache.py: 
    - never remove packages in the "KeepInstalled" section
    - keep the GUI alive when calculating the packages
      to cleanup
  * DistUpgrade/DistUpgradeQuirks.py:
    - mark "language-pack-$lang" as manual installed to
      workaround changes in "language-support-$lang" 
      (LP: #287551)
   * po/:
     - updated to the latest translations.launchpad.net
       version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Oct 2008 15:02:03 +0200

update-manager (1:0.93.30) intrepid; urgency=low

  * DistUpgrade/DistUpgradeViewText.py:
    - ignore "default" argument handling in askYesNoQuestion
      to fix incorrect prompt for cdrom question
  * DistUpgrade/DistUpgradeQuirks.py:
    - ensure "landscape-common" is not marked auto-install
      (LP: #288051)
  * DistUpgrade/ReleaseAnnouncement:
    - updated for final release
  * DistUpgrade/DistUpgradeAptCdrom.py:
    - ignore "dist-upgrader" dirs when scanning for 
      packages (LP: #288169)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Oct 2008 16:53:43 +0200

update-manager (1:0.93.29) intrepid; urgency=low

  * fix incorrect case and typo in cpuHasSSESupport(), thanks
    to Steve Langasek

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 19:17:22 +0200

update-manager (1:0.93.28) intrepid; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - do not install nvidia-glx-{173,177} on systems without
      the "sse" cpu extension (LP: #272498)
    - fix case-sensitive parsing when checking for the xorg
      driver
  * DistUpgrade/DistUpgrade.cfg:
    - make sure that libflashsupport gets removed on upgrade
      (LP: #285657)
  * DistUpgrade/ReleaseAnnouncement:
    - updated for the release candidate

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 16:55:40 +0200

update-manager (1:0.93.27) intrepid; urgency=low

  * DistUpgrade/xorg_fix_intrepid.py:
    - only update the InputDevices if xserver-xorg-core
      actually is version 2:1.5.0 or higher
    - make section checks case-insensitive (thanks to
      Alberto Milone)
  * DistUpgrade/DistUpgrade.glade:
    - remove has_focus default in the conffiel dialog

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 09:47:57 +0200

update-manager (1:0.93.26) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - workaround kde tmpfile permissions (LP: #277431)
  * UpdateManager/Common/utils.py:
    - do not crash if gconfd is not availabe/unusable 
      (LP: #281248)
  * DistUpgrade/DistUpgradeViewKDE.py:
    - do not use "kde" frontend during the upgrade, it
      crashes because of the kde3->kde4 transition
      if run at the wrong time (LP: #283942)
  * DistUpgrade/DistUpgradeView.py:
    - ignore SIGPIPE when forking the Dpkg::Pre-Install
      scripts to fix error with etckeeper (LP: #283642)
  * po/
    - updated from rosetta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2008 22:03:05 +0200

update-manager (1:0.93.25) intrepid; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - Fix crash from not having gettext imported
  
  [ Michael Vogt ]
  * revert the fglrx->ati transition (LP: #247376)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2008 10:03:04 +0200

update-manager (1:0.93.24) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - disable the apt.cron.daily script during the upgrade
      (LP: #277079)
  * DistUpgrade/DistUpgradeAptCdrom.py:
    - work around the problem that the hardy "apt-cdrom add" will
      fail when no uncompressed Packages files are on the CD
      (LP: 276349)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Oct 2008 16:30:41 +0200

update-manager (1:0.93.23) intrepid; urgency=low

  * DistUpgrade/xorg_fix_intrepid.py:
    - comment out input devices from xorg.conf (handled via 
      hal now). Thanks to Alberto Milone for his help, 
      LP: #247608

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Oct 2008 20:35:06 +0200

update-manager (1:0.93.22) intrepid; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - add rule to force kdelibs5-dev upgrade (LP: #279621),
      thanks to ScottK
  * DistUpgrade/DistUpgradeViewGtk.py:
    - do not hang if a script fails to run (LP: #280236)
  * DistUpgrade/DistUpgradeController.py:
    - do not run post-upgrade quirks handler in partial upgrade
      mode because they only apply to real release upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Oct 2008 16:51:36 +0200

update-manager (1:0.93.21) intrepid; urgency=low

  * Add useDevelopmentRelease and useProposed to DistUpgradeFetcherKDE.py
  * Fix call to error() in DistUpgradeFetcherCore.py

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Oct 2008 14:30:58 +0100

update-manager (1:0.93.20) intrepid; urgency=low

  * DistUpgrade/DistUpgradeGettext.py:
    - translated the empty "" into "" (the qt frontend
      may call this on empty strings in translate_widget)
  * DistUpgrade/DistUpgradeQuirks.py:
    - make sure to write a final newline in /etc/fstab
      when adding the relatime option (LP: #279093)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Oct 2008 10:42:13 +0200

update-manager (1:0.93.19) intrepid; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - fix crash in CDROM upgrade  (LP: #276363)
  * DistUpgrade/DistUpgradeQuirks.py:
    - fix crash in nvidia handling (thanks to 
      Spencer Janssen)



=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common [i386 amd64]
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.7.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/intrepid

Package: update-manager-core
Architecture: any
Section: admin
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface
Replaces: update-manager (<< 1:0.93.7)
Conflicts: update-manager (<< 1:0.93.7)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader


Package: update-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${source:Version}), python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-hildon
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-glade2, gksu, python-dbus, python-gconf, python-hildon, python-vte
Conflicts: update-manager
Description: Hildon application that manages apt updates
 This is the Hildon apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-kde4, kdesudo
Description: Support modules for Update Notifier KDE
 Support modules for update-notifier-kde to check for new distro releases and download the
 dist-upgrade tool.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,4 @@
 #!/usr/bin/make -f
-DEB_AUTO_CLEANUP_RCS := yes
-DEB_PYTHON_SYSTEM    := pycentral
-export DH_PYCENTRAL=nomove
-
-# Include CDBS Stuff
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/python-distutils.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 PKG=update-manager
 DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
@@ -25,7 +17,7 @@
 	python$* setup.py build
 	touch $@
 
-clean::
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -50,6 +42,13 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
+	# now the dist-upgrader special tarball
+	(cd DistUpgrade/ && \
+	   ./build-tarball.sh && \
+	   mkdir -p $(DEBVER)  && \
+	   cp $(DIST).tar.gz ReleaseAnnouncement $(DEBVER) && \
+	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
+	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -80,9 +79,8 @@
 
 arch-build: 
 	# update the demotions
-	#(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
-	#(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
-	#(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
+	(cd utils && ./demotions.py hardy intrepid > demotions.cfg)
+	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
 	# run the test-suit
 	#echo "Running integrated tests"
 	#(cd tests && for test in *.py; do python $$test; done)

## update-manager 0.93.34

=== debian/changelog ===
update-manager (1:0.93.34) intrepid-proposed; urgency=low

  * UpdateManager/UpdateManager.py:
    - simply the changelog download logic and make changelog
      fetching work properly again (now that the server side
      got improved as well) LP: #40058

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Nov 2008 18:53:54 +0100

update-manager (1:0.93.33) intrepid-proposed; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - add detection for cards no longer supported via fglrx 
      and ensure transition to "ati" (LP: #284408) 
  * DistUpgrade/DistUpgradeCache.py:
    - check if the package is actually downloadable in the 
      removal blacklist checking (LP: #293486)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - handle translations of non-ascii string on Cancel button 
      correctly (LP: #291115)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Nov 2008 14:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common [i386 amd64]
+Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common [i386 amd64], fglrx-modaliases [i386 amd64]
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/intrepid
